%-funksjon som tar inn et sett med tidssensurerte feiltider i [0,tau]
%-simulerer l nye samples gitt verdi av suffisient observator vha LT (2006)

function x = f(z,tau,l);
n=length(z);

x=[];   %tar vare p hver sample

%finner suffisient statistics s
s=0;
for i=1:n,
    s=s+log(z(i));
end

for i=1:l,
    
    u=rand(1,n);
    k=0;
    for i=1:n,
        k=k+log(u(i));
    end
    b=k/(s-n*log(tau));
    bhat=1/b;
    y=[];
    for i=1:n,
        y(i)=tau*(u(i)^bhat);
    end
    x=[x;sort(y)];
end

